What JDK to run IDEA 11 on OS X 10.8 Mountain Lion?

Dear all,

I am trying to run IDEA 11 on a clean version of Mac OS X 10.8 Mountain Lion. I installed JDK 1.7.0 09 from the Oracle site and "jave -version" from the command line confirms that it has been installed successfully:

java version "1.7.0_09"
Java(TM) SE Runtime Environment (build 1.7.0_09-b05)
Java HotSpot(TM) 64-Bit Server VM (build 23.5-b02, mixed mode)



However, when I launch IDEA, I get the error message below:

"No compatible version of Java 1.6* is available"

Is it not possible to run IDEA 11 with JDK 1.7 only?

Many thanks
3 comments
Comment actions Permalink

Yes, it is not possible to run IDEA 11 with JDK 1.7
You need to install Apple JDK 6
So far JDK 1.7 has critical issues (besides lack of Retina support :)
preventing it to be used with IDEA 12

On 11/18/2012 9:15 PM, Tanguy Laverdure wrote:

Dear all,

>

I am trying to run IDEA 11 on a clean version of Mac OS X 10.8 Mountain Lion. I installed JDK 1.7.0 09 from the Oracle site and "jave -version" from the command line confirms that it has been installed successfully:

>

java version "1.7.0_09"
Java(TM) SE Runtime Environment (build 1.7.0_09-b05)
Java HotSpot(TM) 64-Bit Server VM (build 23.5-b02, mixed mode)

>

However, when I launch IDEA, I get the error message below:

>

"No compatible version of Java 1.6* is available"

>

Is it not possible to run IDEA 11 with JDK 1.7 only?

>

Many thanks

>

---
Original message URL: http://devnet.jetbrains.net/message/5472152#5472152

>

0
Comment actions Permalink

Out of curiosity, what are some of the critical issues (besides lack of retina support)?

0
Comment actions Permalink

http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=7186371
http://youtrack.jetbrains.com/issue/IDEA-93710

On 11/19/2012 5:29 PM, Charles Wise wrote:

Out of curiosity, what are some of the critical issues (besides lack of retina support)?

>

---
Original message URL: http://devnet.jetbrains.net/message/5472199#5472199

>

0

Please sign in to leave a comment.